summaryrefslogtreecommitdiff
path: root/tests/cert-tests/pkcs7
diff options
context:
space:
mode:
Diffstat (limited to 'tests/cert-tests/pkcs7')
-rwxr-xr-xtests/cert-tests/pkcs79
1 files changed, 9 insertions, 0 deletions
diff --git a/tests/cert-tests/pkcs7 b/tests/cert-tests/pkcs7
index 23db9e017e..5767e09646 100755
--- a/tests/cert-tests/pkcs7
+++ b/tests/cert-tests/pkcs7
@@ -330,6 +330,15 @@ then
${VALGRIND} "${CERTTOOL}" --p7-verify --load-certificate "${srcdir}/../../doc/credentials/x509/cert-gost01.pem" <"${OUTFILE}"
rc=$?
+ if test "${rc}" != "1"; then
+ echo "${FILE}: PKCS7 struct signing succeeded verification with broken algo"
+ exit ${rc}
+ fi
+
+ FILE="gost01-signing-verify"
+ ${VALGRIND} "${CERTTOOL}" --p7-verify --verify-allow-broken --load-certificate "${srcdir}/../../doc/credentials/x509/cert-gost01.pem" <"${OUTFILE}"
+ rc=$?
+
if test "${rc}" != "0"; then
echo "${FILE}: PKCS7 struct signing failed verification"
exit ${rc}